var widget = window.widget;
var SessionsConn;
var NewsConn;
var LeagueConn;
var FixtureConn;
var request;
var gSession;
var gFixtureDate;
var gDate = new Date();
var gYear = gDate.getUTCFullYear();


/* ### START - Customisable Area - START ### */

var SessionsUrl = "http://ws-lb.infomediatechnologies.com/sessions/sessionswebcalls.asmx/";  /* Web Service Location*/
var NewsUrl = "http://ws-lb.infomediatechnologies.com/news/default.asmx/";  /* Web Service Location*/
var SuperleagueUrl = "http://ws-lb.infomediatechnologies.com/SuperLeague/Default.asmx/";  /* Web Service Location*/
var iTeaserLength = 40;
var iNewsCatId = 552;
var tableID = 3;
var AppID = 49;

/* ###  END - Customisable Area  - END  ### */



function getChildValue(node, name) {
    var value;
    
	try {
   		var child = node.getElementsByTagName(name)[0];
   		value = child.childNodes[0].nodeValue;
   	}
   	catch(err) {
   		if (name == 'NewsImageLoc')
   		    {
   		    value = 'images/news.png';
   		    }
        else    
            {
            value = '';
            }
   		
   	}

   return value;
}

function stringPart(textData, len)
		{
		var iPos = 0;
		var sPart = textData;
		
		
		sPart = sPart.replace("&quot;", "");
		//sPart = sPart.replace("&lt;p&gt;", "");
		//sPart = sPart.replace("&lt;/p&gt;", "");
		sPart = sPart.replace("&amp;#38;quot;", ",");
		sPart = sPart.replace("&amp;#39;", "'");
		
		
		
		if(sPart.length < len)
		    {
		    sPart = sPart + " ...";
		    }
		else
		    {
		    iPos = sPart.indexOf(" ", len);
		    sPart = sPart.substring(0, iPos);
		    sPart = sPart + " ...";
		    }
		
		return sPart;
		}

//###############################################################  NEWS HOME  #################################################################################

function NewsHomeLink(newsId) {
    if (gSession!=null) //Check if Session Exsists
        {
            LogCheckPoint(gSession, 1019) // if session exsists then add check point
        }
                    
        getNewsStory(newsId);
}

function buildNewsItem(newsId, newsTitle, newsImageLoc, newsDetails) {
    var html;
    
    
    html = '<table class="tbNewsHome" onclick="NewsHomeLink(' + newsId + ')" align="center">';
    html += '<tr><td class="tdNewsHome">';
    html += '<div class="newstitle">' + newsTitle.replace(/   /gi,"") + '</div>';
    html += '<div class="newsstroy">' + newsDetails + '</div>';
    html += '</td></tr>';
    html += '</table>';
    
    return html;
}

function pullData(xml) {

    var newsStories = xml.getElementsByTagName("NewsStory");
    var html ='';

    for (var i = 0; i < 1; i++) {
        var newsStory = newsStories[i];
        var newsId = getChildValue(newsStory, "NewsId");
        var newsTitle = getChildValue(newsStory, "NewsTitle");
        var newsImageLoc = getChildValue(newsStory, "NewsImageLoc");
        var newsDetails = stringPart(getChildValue(newsStory, "NewsStoryDetails"), iTeaserLength);
        
        html += buildNewsItem(newsId, newsTitle, newsImageLoc, newsDetails);
    }
    	
    return html;

}

function handleNewsData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center" width="100%">';
		         html += pullData(xml);
		         html += '</div>';
		         

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'none';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("display").scrollTop = 0;
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getNews() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = NewsUrl + 'GetNewsStories?NewsCategoryId=' + iNewsCatId + '&Count=1';
			
		NewsConn.onreadystatechange = handleNewsData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//#############################################################################################################################################################

//###############################################################  NEWS LIST  #################################################################################

function buildNewsListItem(newsId, newsTitle, newsImageLoc, newsDetails) {
    var html;
    
    
    html = '<table class="tbNewsMenu" onclick="getNewsStory(' + newsId + ')">';
    html += '<tr><td width="100px;"><img class="newsimage" alt="News Pic" src="http://media.infomediatechnologies.com/superleague/newsimg.aspx?img=' + newsImageLoc + '&h=70&w=85" />';
    html += '</td><td>';
    html += '<div class="newstitle">' + newsTitle + '</div>';
    html += '<div class="newsstroy" >' + newsDetails + '</div>';
    html += '</td></tr>';
    html += '</table>';
    
    return html;
}

function pullNewsListData(xml) {

    var newsStories = xml.getElementsByTagName("NewsStory");
    var html ='';

    for (var i = 0; i < newsStories.length; i++) {
        var newsStory = newsStories[i];
        var newsId = getChildValue(newsStory, "NewsId");
        var newsTitle = getChildValue(newsStory, "NewsTitle");
        var newsImageLoc = getChildValue(newsStory, "NewsImageLoc");
        var newsDetails = stringPart(getChildValue(newsStory, "NewsStoryDetails"), iTeaserLength);

        html += buildNewsListItem(newsId, newsTitle, newsImageLoc, newsDetails);
    }
    return html;

}

function handleNewsListData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullNewsListData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1088) // if session exsists then add check point
                    }

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("PageTitle").innerHTML = 'News';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="widgetinit()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getNewsList() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = NewsUrl + 'GetNewsStories?NewsCategoryId=' + iNewsCatId + '&Count=10';
			
		NewsConn.onreadystatechange = handleNewsListData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################

//###############################################################  NEWS STORY ############################################################################

function buildNewsStory(newsId, newsTitle, newsImageLoc, newsDetails) {
    var html;
    
    html = '<div class="newsHeader"> ';
    html += newsTitle;
    html += '</div>';
    html += '<table class="tbNews">';
    html += '<tr><td><img class="newsimage" alt="News Pic" src="http://media.infomediatechnologies.com/superleague/newsimg.aspx?img=' + newsImageLoc + '" />';
    html += '</td></tr>';
    html += '<tr><td>';
    html += '<div class="newsDetails" >' + newsDetails.replace(/<br \/>/gi, '<br /><br />');
    html += '</div></td></tr></table>';
    
    return html;
}

function pullStory(xml) {

    var newsStories = xml.getElementsByTagName("NewsStory");
    var html;
    
    for (var i = 0; i < newsStories.length; i++) {
        var newsStory = newsStories[i];
        var newsId = getChildValue(newsStory, "NewsId");
        var newsTitle = getChildValue(newsStory, "NewsTitle");
        var newsImageLoc = getChildValue(newsStory, "NewsImageLoc");
        var newsDetails = getChildValue(newsStory, "NewsStoryDetails");

        html = buildNewsStory(newsId, newsTitle, newsImageLoc, newsDetails);
    }
    return html;

}

function handleNewsStory() {
	  
   if(NewsConn.readyState == 4) {
   	      	   
   	   if(NewsConn.status==200) {
   	      
	         var xml = NewsConn.responseXML;
	         var html;

	         html = '<div align="center">';
	         html += pullStory(xml);
	         html += '</div>';
	         
	         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1093) // if session exsists then add check point
                    }

	             document.getElementById("News").innerHTML = html;
	             document.getElementById("News").style.display = 'block';
	             document.getElementById("PageTitle").innerHTML = 'News';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getNewsList()"/>';
		         document.getElementById("display").scrollTop = 0;
	         
       }
       else {
       		//no connection
    	    //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
       }       
   }
   else {
       //no connection
	   document.getElementById("loader").style.display = 'block';
   }
}

function getNewsStory(StoryID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
        localUrl = NewsUrl + 'GetNewsStory?StoryId=' + StoryID;
		
        NewsConn.onreadystatechange = handleNewsStory;
        NewsConn.open("GET", localUrl, true);
        NewsConn.send(null);
	}
	else
	{
		
	}
	
	return true;

}

//#####################################################################################################################################################

//###############################################################  LEAGUE TABLE  ######################################################################

function buildLeagueTable(Position, TeamId, TeamName, TeamP, TeamW, TeamD, TeamL, TeamPts) {
    var html;

    html = '<table class="tbLeague"><tr>';
    html += '<td class="tdLeaguePos">' + Position + '</td>';
    html += '<td class="tdLeagueTeam">' + TeamName + '</td>';
    html += '<td class="tdLeagueP">' + TeamP + '</td>';
    html += '<td class="tdLeagueW">' + TeamW + '</td>';
    html += '<td class="tdLeagueD">' + TeamD + '</td>';
    html += '<td class="tdLeagueL">' + TeamL + '</td>';
    html += '<td class="tdLeaguePts">' + TeamPts + '</td>';
    html += '</tr></table>';
    
    return html;
}

function pullLeagueTableData(xml) {

    var LeagueTable = xml.getElementsByTagName("RugbyLeagueTablePosition");
    var html ='';
    
    html = '<table class="tbLeagueMenu"><tr>';
    html += '<td class="tdLeagueMenuPos"># </td>';
    html += '<td class="tdLeagueMenuTeam">Team</td>';
    html += '<td class="tdLeagueMenuP">P </td>';
    html += '<td class="tdLeagueMenuW">W </td>';
    html += '<td class="tdLeagueMenuD">D </td>';
    html += '<td class="tdLeagueMenuL">L </td>';
    html += '<td class="tdLeagueMenuPts">Pts</td>';
    html += '</tr></table>';

    for (var i = 0; i < LeagueTable.length; i++) {
        var Tabledata = LeagueTable[i];
        var TeamId = getChildValue(Tabledata, "Rank");
        var TeamName = getChildValue(Tabledata, "TeamName");
        var TeamP = getChildValue(Tabledata, "Played");
        var TeamW = getChildValue(Tabledata, "Won");
        var TeamD = getChildValue(Tabledata, "Drawn");
        var TeamL = getChildValue(Tabledata, "Lost");
        var TeamPts = getChildValue(Tabledata, "Points");
        var Position = i + 1

        html += buildLeagueTable(Position, TeamId, TeamName, TeamP, TeamW, TeamD, TeamL, TeamPts);
    }
    return html;

}

function handleLeagueTableData() {
	  
	   if(LeagueConn.readyState == 4) {
	   	      	   
	   	   if(LeagueConn.status==200) {
	   	      
		         var xml = LeagueConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullLeagueTableData(xml);
		         html += '</div>';
		         
		         document.getElementById("League").innerHTML = html;
		         document.getElementById("News").style.display = 'none';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'League Table';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'block';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMatch()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getLeagueTable() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		LeagueConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		LeagueConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (LeagueConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetLeagueTable?TableID=' + tableID;
			
		LeagueConn.onreadystatechange = handleLeagueTableData;
		LeagueConn.open("GET", localUrl, true);
		LeagueConn.send(null);
	}
	else
	{

	}
	
	return true;

}

function getLeagueTableHome() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1020) // if session exsists then add check point
        }  
    
    getLeagueTable();            
}

function getLeagueTableMenu() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1089) // if session exsists then add check point
        }  
    
    getLeagueTable();            
}



//########################################################################################################################################################

//###############################################################  FIXTURES  #############################################################################

function buildFixtures(MatchID, MatchDate, Round, Venue, HomeTeamID, HomeTeamName, AwayTeamID, AwayTeamName, Referee) {
    var html ='';

    if (MatchDate.substring(0,10) != gFixtureDate.substring(0,10)) {
        html += '<div class="FixtureDate">Round ' + Round + ' - ' + MatchDate.substring(0,10) + '</div>';
    }
    html += '<table class="tbFixture"><tr>';
    html += '<td class="tdFixtureCrest"><img src="images/clubs/' + HomeTeamID + '.png" /></td>';
    html += '<td class="tdFixtureTeams">';
    html += '<div class="tdFixtureText">' + HomeTeamName + ' Vs ' + AwayTeamName + '</div>';
    html += '<div class="tdFixtureText2">Kick Off: ' + MatchDate.substring(11,16) + '</div>';
    html += '<div class="tdFixtureText2">Venue: ' + Venue + '</div>';
    html += '</td>';
    html += '<td class="tdFixtureCrest"><img src="images/clubs/' + AwayTeamID + '.png" /></td>';
    html += '</tr></table>';
    
    gFixtureDate = MatchDate;
    
    return html;
}

function pullFixturesData(xml) {

    var FixturesTable = xml.getElementsByTagName("RugbyMatchFixture");
    var html ='';
    gFixtureDate = '';

    for (var i = 0; i < FixturesTable.length; i++) {
        var Fixturesdata = FixturesTable[i];
        var MatchID = getChildValue(Fixturesdata, "MatchID");
        var MatchDate = getChildValue(Fixturesdata, "MatchDate");
        var Round = getChildValue(Fixturesdata, "Round");
        var Venue = getChildValue(Fixturesdata, "Venue");
        var HomeTeamID = getChildValue(Fixturesdata, "HomeTeamID");
        var HomeTeamName = getChildValue(Fixturesdata, "HomeTeamName");
        var AwayTeamID = getChildValue(Fixturesdata, "AwayTeamID");
        var AwayTeamName = getChildValue(Fixturesdata, "AwayTeamName");
        var Referee = getChildValue(Fixturesdata, "Referee");

        html += buildFixtures(MatchID, MatchDate, Round, Venue, HomeTeamID, HomeTeamName, AwayTeamID, AwayTeamName, Referee);
    }
    return html;

}

function handleFixturesData() {
	  
	   if(FixtureConn.readyState == 4) {
	   	      	   
	   	   if(FixtureConn.status==200) {
	   	      
		         var xml = FixtureConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullFixturesData(xml);
		         html += '</div>'; 

		         document.getElementById("Fixtures").innerHTML = html;
		         document.getElementById("News").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'Fixtures';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMatch()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getFixtures() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		FixtureConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		FixtureConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (FixtureConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetFixturesByYearShort?Year=' + gYear;
			
		FixtureConn.onreadystatechange = handleFixturesData;
		FixtureConn.open("GET", localUrl, true);
		FixtureConn.send(null);
	}
	else
	{

	}
	
	return true;

}

function getFixturesHome() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1021) // if session exsists then add check point
        }  
    
    getFixtures();            
}

function getFixturesMenu() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1090) // if session exsists then add check point
        }  
    
    getFixtures();            
}

//########################################################################################################################################################

//###############################################################  RESULTS  #############################################################################

function buildResults(MatchID, MatchDate, Round, Venue, HomeTeamID, AwayTeamID, HomeScore, AwayScore, HomeTeamName, AwayTeamName) {
    var html='';
    
    if (Round != gFixtureDate) {
        html += '<div class="FixtureDate">Round ' + Round + '</div>';
    }
    html += '<table class="tbResults" onclick="getMatchDetails(' + MatchID + ')"><tr>';
    html += '<td class="tdResultsHomeName" colspan="2">' + HomeTeamName + '</td>';
    html += '<td class="tdResultsHomeV">  </td>';
    html += '<td class="tdResultsAwayName" colspan="2">' + AwayTeamName + '</td>';
    html += '</tr><tr>';
    html += '<td class="tdResultsHomeCrest"><img src="images/clubs/' + HomeTeamID + '.png" /></td>';
    html += '<td class="tdResultsHomeScore">' + HomeScore + '</td>';
    html += '<td class="tdResultsHomeV"> Vs </td>';
    html += '<td class="tdResultsHomeScore">' + AwayScore + '</td>';
    html += '<td class="tdResultsHomeCrest"><img src="images/clubs/' + AwayTeamID + '.png" /></td>';
    html += '</tr></table>';
    
    gFixtureDate = Round;
    
    return html;
}

function pullResultsData(xml) {

    var ResultsTable = xml.getElementsByTagName("RugbyMatchShort");
    var html ='';
    gFixtureDate = '';

    for (var i = 0; i < ResultsTable.length; i++) {
        var Resultsdata = ResultsTable[i];
        var MatchID = getChildValue(Resultsdata, "MatchID");
        var MatchDate = getChildValue(Resultsdata, "MatchDate");
        var Round = getChildValue(Resultsdata, "Round");
        var Venue = getChildValue(Resultsdata, "Venue");
        var HomeTeamID = getChildValue(Resultsdata, "HomeTeamID");
        var AwayTeamID = getChildValue(Resultsdata, "AwayTeamID");
        var HomeTeamName = getChildValue(Resultsdata, "HomeTeamName");
        var AwayTeamName = getChildValue(Resultsdata, "AwayTeamName");
        var HomeScore = getChildValue(Resultsdata, "HomeScore");
        var AwayScore = getChildValue(Resultsdata, "AwayScore");

        html += buildResults(MatchID, MatchDate, Round, Venue, HomeTeamID, AwayTeamID, HomeScore, AwayScore, HomeTeamName, AwayTeamName);
    }
    return html;

}

function handleResultsData() {
	  
	   if(FixtureConn.readyState == 4) {
	   	      	   
	   	   if(FixtureConn.status==200) {
	   	      
		         var xml = FixtureConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullResultsData(xml);
		         html += '</div>';
		        
		         document.getElementById("Fixtures").innerHTML = html;
		         document.getElementById("News").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'Results';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMatch()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getResults() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		FixtureConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		FixtureConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (FixtureConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetResultsByYearShort?Year=' + gYear;
			
		FixtureConn.onreadystatechange = handleResultsData;
		FixtureConn.open("GET", localUrl, true);
		FixtureConn.send(null);
	}
	else
	{

	}
	
	return true;

}

function getResultsHome() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1036) // if session exsists then add check point
        }  
    
    getResults();            
}

function getResultsMenu() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1092) // if session exsists then add check point
        }  
    
    getResults();            
}

//#############################################################################################################################################################

//###############################################################  MATCH DETAILS  #############################################################################

function buildMatchDetailsMain(MatchDate, HomeTeamID, HomeTeamName, HomeScore, HomeScoreHalf, AwayTeamID, AwayTeamName, AwayScore, AwayScoreHalf, Referee, Venue, Attendance, HomeTries, HomeGoals, HomeDGs, AwayTries, AwayGoals, AwayDGs, MatchID) {
    var html='';
    
    html += '<table class="tbResultDetails"><tr>';
    html += '<td class="tdResultDetailsCrest"><img src="images/clubs/' + HomeTeamID + '.png" /></td>';
    html += '<td class="tdResultDetailsTeam">' + HomeTeamName + '</td>';
    html += '<td class="tdResultDetailsScoreht">(' + HomeScoreHalf + ')</td>';
    html += '<td class="tdResultDetailsScore">' + HomeScore + '</td>';
    html += '</tr><tr>';
    html += '<td class="tdResultDetailsCrest"><img src="images/clubs/' + AwayTeamID + '.png" /></td>';
    html += '<td class="tdResultDetailsTeam">' + AwayTeamName + '</td>';
    html += '<td class="tdResultDetailsScoreht">(' + AwayScoreHalf + ')</td>';
    html += '<td class="tdResultDetailsScore">' + AwayScore + '</td>';
    html += '</tr></table>';
    html += '<table class="tbScorerDetails">';
    html += '<tr><td class="tdScorerDetails"><div class="ScorerDetails">KO: ' + MatchDate.substring(11,16) + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="ScorerDetails">Venue: ' + Venue + '</div></td></tr>';
    html += '<tr><td class="tdScorerDetails"><div class="ScorerDetails">Attendance: ' + Attendance + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="ScorerDetails">Match Official: ' + Referee + '</div></td></tr>';
    html += '</table>';
    html += '<table class="tbScorerDetails">';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails"><strong>' + HomeTeamName + ' Scorers</strong></div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails"><strong>' + AwayTeamName + ' Scorers</strong></div></td></tr>';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails">TRIES:</div><div class="ScorerDetails">' + HomeTries + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails">TRIES:</div><div class="ScorerDetails">' + AwayTries + '</div></td></tr>';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails">GOALS:</div><div class="ScorerDetails">' + HomeGoals + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails">GOALS:</div><div class="ScorerDetails">' + AwayGoals + '</div></td></tr>';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails">DROP GOALS:</div><div class="ScorerDetails">' + HomeDGs + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails">DROP GOALS:</div><div class="ScorerDetails">' + AwayDGs + '</div></td></tr>';
    html += '</table>';
    html += '<div align="center"><img src="images/matchreport_button.png" onclick="getMatchDetailsReport(' + MatchID + ')" /></div>';
    
    return html;
}

function pullMatchDetailsData(xml, MatchID) {

    var MatchTable = xml.getElementsByTagName("RugbyResult");
    var HomeScores = xml.getElementsByTagName("HomeScores");
    var rugbyScore;
    var ScoreDets;
    for (var i = 0; i < HomeScores.length; i++) {
    	var HomeTryList = HomeScores[i].getElementsByTagName("Tries");
    	var HomeGoalList = HomeScores[i].getElementsByTagName("Goals");
    	var HomeDGList = HomeScores[i].getElementsByTagName("DropGoals");
    	
    	var HomeTries='';
    	var HomeGoals='';
    	var HomeDGs='';
    	
    	for (var i2 = 0; i2 < HomeTryList.length; i2++) {
    		rugbyScore = HomeTryList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			HomeTries += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    	
    	for (var i2 = 0; i2 < HomeGoalList.length; i2++) {
    		rugbyScore = HomeGoalList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			HomeGoals += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    	
    	for (var i2 = 0; i2 < HomeDGList.length; i2++) {
    		rugbyScore = HomeDGList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			HomeDGs += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    }
	var HomeScores = HomeTries + " " + HomeGoals + " " + HomeDGs;
	
	var AwayScores = xml.getElementsByTagName("AwayScores");
    for (var i = 0; i < AwayScores.length; i++) {
    	var AwayTryList = AwayScores[i].getElementsByTagName("Tries");
    	var AwayGoalList = AwayScores[i].getElementsByTagName("Goals");
    	var AwayDGList = AwayScores[i].getElementsByTagName("DropGoals");
    	
    	var AwayTries='';
    	var AwayGoals='';
    	var AwayDGs='';
    	
    	for (var i2 = 0; i2 < AwayTryList.length; i2++) {
    		rugbyScore = AwayTryList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			AwayTries += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    	
    	for (var i2 = 0; i2 < AwayGoalList.length; i2++) {
    		rugbyScore = AwayGoalList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			AwayGoals += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    	
    	for (var i2 = 0; i2 < AwayDGList.length; i2++) {
    		rugbyScore = AwayDGList[i2].getElementsByTagName("RugbyScore");
    		for (var is = 0; is < rugbyScore.length; is++) {
    			ScoreDets = rugbyScore[is];
    			AwayDGs += getChildValue(ScoreDets, "PlayerName") + "(" + getChildValue(ScoreDets, "Minutes") + ") ";
    		}
    	}
    }
	var AwayScores = AwayTries + " " + AwayGoals + " " + AwayDGs;

    var html ='';
    gFixtureDate = '';

    for (var i = 0; i < MatchTable.length; i++) {
        var Matchdata = MatchTable[i];
        var MatchDate = getChildValue(Matchdata, "MatchDate");
        var HomeTeamID = getChildValue(Matchdata, "HomeTeamID");
        var HomeTeamName = getChildValue(Matchdata, "HomeTeamName");
        var HomeScore = getChildValue(Matchdata, "HomeScore");
        var HomeScoreHalf = getChildValue(Matchdata, "HomeScoreHalf");
        var AwayTeamID = getChildValue(Matchdata, "AwayTeamID");
        var AwayTeamName = getChildValue(Matchdata, "AwayTeamName");
        var AwayScore = getChildValue(Matchdata, "AwayScore");
        var AwayScoreHalf = getChildValue(Matchdata, "AwayScoreHalf");
        var Referee = getChildValue(Matchdata, "Referee");
        var Venue = getChildValue(Matchdata, "Venue");
        var Attendance = getChildValue(Matchdata, "Attendance");

        html += buildMatchDetailsMain(MatchDate, HomeTeamID, HomeTeamName, HomeScore, HomeScoreHalf, AwayTeamID, AwayTeamName, AwayScore, AwayScoreHalf, Referee, Venue, Attendance, HomeTries, HomeGoals, HomeDGs, AwayTries, AwayGoals, AwayDGs, MatchID);
    }
    

    return html;

}

function handleMatchDetailsData(MatchID) {
	  
	   if(FixtureConn.readyState == 4) {
	   	      	   
	   	   if(FixtureConn.status==200) {
	   	      
		         var xml = FixtureConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullMatchDetailsData(xml, MatchID);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1095) // if session exsists then add check point
                    }

		         document.getElementById("Fixtures").innerHTML = html;
		         document.getElementById("News").style.display = 'none';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'Result';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getResults()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getMatchDetails(MatchID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		FixtureConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		FixtureConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (FixtureConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetResultByMatchID?MatchID=' + MatchID;
		
		FixtureConn.onreadystatechange = function() {
			if(FixtureConn.readyState == 4) {
				handleMatchDetailsData(MatchID);
			}
			else {
			    //no connection
				document.getElementById("loader").style.display = 'block';
			}
		};	
		FixtureConn.open("GET", localUrl, true);
		FixtureConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################

//###############################################################  REPORT  #############################################################################

function buildMatchDetailsReport(MatchID, ClientMatchID, MatchDate, Round, Venue, HomeTeamID, ClientHomeTeamID, OPTAHomeTeamID, HomeTeamName, AwayTeamID, ClientAwayTeamID, OPTAAwayTeamID, AwayTeamName, Referee, HomeScore, HomeScoreHalf, AwayScore, AwayScoreHalf, Attendance, Report) {
    var html='';
    
    html += '<table class="tbResultDetails"><tr>';
    html += '<td class="tdResultDetailsCrest"><img src="images/clubs/' + HomeTeamID + '.png" /></td>';
    html += '<td class="tdResultDetailsTeam">' + HomeTeamName + '</td>';
    html += '<td class="tdResultDetailsScoreht">(' + HomeScoreHalf + ')</td>';
    html += '<td class="tdResultDetailsScore">' + HomeScore + '</td>';
    html += '</tr><tr>';
    html += '<td class="tdResultDetailsCrest"><img src="images/clubs/' + AwayTeamID + '.png" /></td>';
    html += '<td class="tdResultDetailsTeam">' + AwayTeamName + '</td>';
    html += '<td class="tdResultDetailsScoreht">(' + AwayScoreHalf + ')</td>';
    html += '<td class="tdResultDetailsScore">' + AwayScore + '</td>';
    html += '</tr></table>';
    html += '<table class="tbScorerDetails">';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails">KO: ' + MatchDate.substring(11,16) + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails">Venue: ' + Venue + '</div></td></tr>';
    html += '<tr><td class="tdScorerDetails"><div class="FixtureDetails">Attendance: ' + Attendance + '</div></td>';
    html += '<td class="tdScorerDetails"><div class="FixtureDetails">Match Official: ' + Referee + '</div></td></tr>';
    html += '</table>';
    html += '<div class="ReportsDetails">' + Report + '</div>';
    
    return html;
}

function pullMatchDetailsReportData(xml, ReportMatchID) {

    var ResultsTable = xml.getElementsByTagName("RugbyMatch");
    var html ='';
    gFixtureDate = '';

    for (var i = 0; i < ResultsTable.length; i++) {
        var Resultsdata = ResultsTable[i];
        var MatchID = getChildValue(Resultsdata, "MatchID");
        var ClientMatchID = getChildValue(Resultsdata, "ClientMatchID");
        var MatchDate = getChildValue(Resultsdata, "MatchDate");
        var Round = getChildValue(Resultsdata, "Round");
        var Venue = getChildValue(Resultsdata, "Venue");
        var HomeTeamID = getChildValue(Resultsdata, "HomeTeamID");
        var ClientHomeTeamID = getChildValue(Resultsdata, "ClientHomeTeamID");
        var OPTAHomeTeamID = getChildValue(Resultsdata, "OPTAHomeTeamID");
        var HomeTeamName = getChildValue(Resultsdata, "HomeTeamName");
        var AwayTeamID = getChildValue(Resultsdata, "AwayTeamID");
        var ClientAwayTeamID = getChildValue(Resultsdata, "ClientAwayTeamID");
        var OPTAAwayTeamID = getChildValue(Resultsdata, "OPTAAwayTeamID");
        var AwayTeamName = getChildValue(Resultsdata, "AwayTeamName");
        var Referee = getChildValue(Resultsdata, "Referee");
        var HomeScore = getChildValue(Resultsdata, "HomeScore");
        var HomeScoreHalf = getChildValue(Resultsdata, "HomeScoreHalf");
        var AwayScore = getChildValue(Resultsdata, "AwayScore");
        var AwayScoreHalf = getChildValue(Resultsdata, "AwayScoreHalf");
        var Attendance = getChildValue(Resultsdata, "Attendance");
        var Report = getChildValue(Resultsdata, "Report");

        html += buildMatchDetailsReport(MatchID, ClientMatchID, MatchDate, Round, Venue, HomeTeamID, ClientHomeTeamID, OPTAHomeTeamID, HomeTeamName, AwayTeamID, ClientAwayTeamID, OPTAAwayTeamID, AwayTeamName, Referee, HomeScore, HomeScoreHalf, AwayScore, AwayScoreHalf, Attendance, Report);
    }
    return html;

}

function handleMatchDetailsReportData(MatchID) {
	  
	   if(FixtureConn.readyState == 4) {
	   	      	   
	   	   if(FixtureConn.status==200) {
	   	      
		         var xml = FixtureConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullMatchDetailsReportData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1103) // if session exsists then add check point
                    }

		         document.getElementById("Fixtures").innerHTML = html;
		         document.getElementById("News").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'Report';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'block';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMatchDetails(' + MatchID + ')"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getMatchDetailsReport(MatchID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		FixtureConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		FixtureConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (FixtureConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetMatchesByMatchID?MatchID=' + MatchID;
			
		FixtureConn.onreadystatechange = function() {
			if(FixtureConn.readyState == 4) {
				handleMatchDetailsReportData(MatchID);
			}
			else {
			    //no connection
				document.getElementById("loader").style.display = 'block';
			}
		};	
		FixtureConn.open("GET", localUrl, true);
		FixtureConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//#############################################################################################################################################################

//###############################################################  CLUBS  #############################################################################

function buildClubsMain(TeamID, Name) {
    var html='';
    
    html += '<table class="tbMenu" onclick="getClubDetails(' + TeamID + ')"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/clubs/' + TeamID + '.png" /></td>';
    html += '<td class="tdMenuText">' + Name + '</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    
    return html;
}

function pullClubsData(xml) {

    var ClubTable = xml.getElementsByTagName("RugbyTeam");
    var html ='';

    for (var i = 0; i < ClubTable.length; i++) {
        var Clubdata = ClubTable[i];
        var TeamID = getChildValue(Clubdata, "TeamID");
        var Name = getChildValue(Clubdata, "Name");

        html += buildClubsMain(TeamID, Name);
    }
    return html;

}

function handleClubsData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullClubsData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1096) // if session exsists then add check point
                    }

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("PageTitle").innerHTML = 'Clubs';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getClubs() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetTeams?TeamID=0';
			
		NewsConn.onreadystatechange = handleClubsData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################

//###############################################################  CLUB DETAILS #############################################################################

function buildClubDetailsMain(TeamID, OPTATeamID, Name, Coach, Ground, Address, Telephone, Fax, Website, Email, SuperLeagueHonours, ChallengeCupHonours, WorldClubCupHonours, LastFinish) {
    var html='';
    
    html += '<table class="tbClub"><tr>';
    html += '<td class="tdClubCrest" rowspan="2"><img src="images/clubs/' + TeamID + '.png" /></td>';
    html += '<td class="tdClubImg"><img src="images/clubs/' + TeamID + '_stadium.gif" class="clubimage" /></td>';
    html += '</tr></tr>';
    html += '<td class="tdClubKit"><img src="images/clubs/' + TeamID + '_kit.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbClub">';
    html += '<tr><td class="tdClubDetails">CLUB: <span class="tdClubDetailsSpan">' + Name + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">STADIUM: <span class="tdClubDetailsSpan">' + Ground + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">HEAD COACH: <span class="tdClubDetailsSpan">' + Coach + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">LAST YEAR FINISH: <span class="tdClubDetailsSpan">' + LastFinish + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">WEBSITE: <span class="tdClubDetailsSpan">' + Website + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">EMAIL: <a href="mailto:' + Email + '" class="tdClubDetailsNumber"><span class="tdClubDetailsSpan">' + Email + '</span></a></td></tr>';
    html += '<tr><td class="tdClubDetails">TEL: <a href="wtai://wp/mc;+' + Telephone.replace(/\+/gi, "") + '" class="tdClubDetailsNumber"><span class="tdClubDetailsSpan">' + Telephone + '</span></a></td></tr>';
    html += '<tr><td class="tdClubDetails">FAX: <span class="tdClubDetailsSpan">' + Fax + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">ADDRESS: <span class="tdClubDetailsSpan">' + Address + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">SUPER LEAGUE HONOURS: <span class="tdClubDetailsSpan">' + SuperLeagueHonours + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">CHALLENGE CUP HONOURS: <span class="tdClubDetailsSpan">' + ChallengeCupHonours + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">WORLD CLUB CUP HONOURS: <span class="tdClubDetailsSpan">' + WorldClubCupHonours + '</span></td></tr>';
    html += '</table>';
    
    
    
    return html;
}

function pullClubDetailsData(xml) {

    var ClubTable = xml.getElementsByTagName("RugbyTeam");
    var html ='';

    for (var i = 0; i < ClubTable.length; i++) {
        var Clubdata = ClubTable[i];
        var TeamID = getChildValue(Clubdata, "TeamID");
        var OPTATeamID = getChildValue(Clubdata, "OPTATeamID");
        var Name = getChildValue(Clubdata, "Name");
        var Coach = getChildValue(Clubdata, "Coach");
        var Ground = getChildValue(Clubdata, "Ground");
        var Address = getChildValue(Clubdata, "Address");
        var Telephone = getChildValue(Clubdata, "Telephone");
        var Fax = getChildValue(Clubdata, "Fax");
        var Website = getChildValue(Clubdata, "Website");
        var Email = getChildValue(Clubdata, "Email");
        var SuperLeagueHonours = getChildValue(Clubdata, "SuperLeagueHonours");
        var ChallengeCupHonours = getChildValue(Clubdata, "ChallengeCupHonours");
        var WorldClubCupHonours = getChildValue(Clubdata, "WorldClubCupHonours");
        var LastFinish = getChildValue(Clubdata, "LastFinish");

        html += buildClubDetailsMain(TeamID, OPTATeamID, Name, Coach, Ground, Address, Telephone, Fax, Website, Email, SuperLeagueHonours, ChallengeCupHonours, WorldClubCupHonours, LastFinish);
    }
    return html;

}

function handleClubDetailsData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullClubDetailsData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1097) // if session exsists then add check point
                    }

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("PageTitle").innerHTML = 'Clubs';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getClubs()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getClubDetails(ClubID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetTeams?TeamID=' + ClubID;
			
		NewsConn.onreadystatechange = handleClubDetailsData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}


//########################################################################################################################################################

//###############################################################  PLAYERS   #############################################################################

function buildPlayersMain(TeamID, Name) {
    var html='';
    
    html += '<table class="tbMenu" onclick="getPlayersByClub(' + TeamID + ')"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/clubs/' + TeamID + '.png" /></td>';
    html += '<td class="tdMenuText">' + Name + '</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    
    return html;
}

function pullPlayersData(xml) {

    var ClubTable = xml.getElementsByTagName("RugbyTeam");
    var html ='';

    for (var i = 0; i < ClubTable.length; i++) {
        var Clubdata = ClubTable[i];
        var TeamID = getChildValue(Clubdata, "TeamID");
        var Name = getChildValue(Clubdata, "Name");

        html += buildPlayersMain(TeamID, Name);
    }
    return html;

}

function handlePlayersData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullPlayersData(xml);
		         html += '</div>';

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("PageTitle").innerHTML = 'Players';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getPlayers() {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetTeams?TeamID=0';
			
		NewsConn.onreadystatechange = handlePlayersData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################

//###############################################################  PLAYERS   #############################################################################

function buildPlayersByClubMain(PlayerID, FirstName, LastName, SquadNo) {
    var html='';
    
    html += '<table class="tbMenu" onclick="getPlayerDetails(' + PlayerID + ')"><tr>';
    html += '<td class="tdMenuIconPlayer"><img src="http://media.infomediatechnologies.com/superleague/playerimg.aspx?id=' + PlayerID + '&h=70&w=50" /></td>';
    html += '<td class="tdMenuText">' + SquadNo + '. ' + FirstName + ' ' + LastName + '</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    
    
    
    return html;
}

function pullPlayersByClubData(xml) {

    var PlayerTable = xml.getElementsByTagName("RugbyPlayerShort");
    var html ='';

    for (var i = 0; i < PlayerTable.length; i++) {
        var Playerdata = PlayerTable[i];
        var PlayerID = getChildValue(Playerdata, "PlayerID");
        var FirstName = getChildValue(Playerdata, "FirstName");
        var LastName = getChildValue(Playerdata, "LastName");
        var SquadNo = getChildValue(Playerdata, "SquadNo");

       html += buildPlayersByClubMain(PlayerID, FirstName, LastName, SquadNo);
    }
    return html;

}

function handlePlayersByClubData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullPlayersByClubData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1098) // if session exsists then add check point
                    }

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("PageTitle").innerHTML = 'Players';
		         document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getPlayers()"/>';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	   //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getPlayersByClub(TeamID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetPlayersByTeamIDShort?TeamID=' + TeamID;
			
		NewsConn.onreadystatechange = handlePlayersByClubData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################

//###############################################################  PLAYER DETAILS  #############################################################################

function buildPlayerDetailsMain(PlayerID, ClientPlayerID, TeamID, ClientTeamID, OPTATeamID, TeamName, FirstName, LastName, BirthDate, Height, Weight, BirthPlace, Position, SquadNo) {
    var html='';
    
    html += '<table class="tbClub"><tr>';
    html += '<td class="tdClubCrest" align="center"><img src="http://media.infomediatechnologies.com/superleague/playerimg.aspx?id=' + PlayerID + '&h=200&w=140" class="clubimage" /></td>';
    html += '</tr></table>';
    html += '<table class="tbClub">';
    html += '<tr><td class="tdClubDetails">NAME: <span class="tdClubDetailsSpan">' + SquadNo + '. ' + FirstName + ' ' + LastName + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">CLUB: <span class="tdClubDetailsSpan">' + TeamName + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">HEIGHT: <span class="tdClubDetailsSpan">' + Height + 'cm</span></td></tr>';
    html += '<tr><td class="tdClubDetails">WEIGHT: <span class="tdClubDetailsSpan">' + Weight + 'kg</span></td></tr>';
    html += '<tr><td class="tdClubDetails">POSITION: <span class="tdClubDetailsSpan">' + Position + '</span></td></tr>';
    html += '<tr><td class="tdClubDetails">DOB: <span class="tdClubDetailsSpan">' + BirthDate + '</span></td></tr>';
    html += '</table>';
    
    document.getElementById("PageTitle").innerHTML = FirstName + ' ' + LastName;
    document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getPlayersByClub(' + TeamID + ')"/>';
    
    return html;
}

function pullPlayerDetailsData(xml) {

    var PlayerTable = xml.getElementsByTagName("RugbyPlayer");
    var html ='';

    for (var i = 0; i < PlayerTable.length; i++) {
        var Playerdata = PlayerTable[i];
        var PlayerID = getChildValue(Playerdata, "PlayerID");
        var ClientPlayerID = getChildValue(Playerdata, "ClientPlayerID");
        var TeamID = getChildValue(Playerdata, "TeamID");
        var ClientTeamID = getChildValue(Playerdata, "ClientTeamID");
        var OPTATeamID = getChildValue(Playerdata, "OPTATeamID");
        var TeamName = getChildValue(Playerdata, "TeamName");
        var FirstName = getChildValue(Playerdata, "FirstName");
        var LastName = getChildValue(Playerdata, "LastName");
        var BirthDate = getChildValue(Playerdata, "BirthDate");
        var Height = getChildValue(Playerdata, "Height");
        var Weight = getChildValue(Playerdata, "Weight");
        var BirthPlace = getChildValue(Playerdata, "BirthPlace");
        var Position = getChildValue(Playerdata, "Position");
        var SquadNo = getChildValue(Playerdata, "SquadNo");

        html += buildPlayerDetailsMain(PlayerID, ClientPlayerID, TeamID, ClientTeamID, OPTATeamID, TeamName, FirstName, LastName, BirthDate, Height, Weight, BirthPlace, Position, SquadNo);
        
    }
    return html;

}

function handlePlayerDetailsData() {
	  
	   if(NewsConn.readyState == 4) {
	   	      	   
	   	   if(NewsConn.status==200) {
	   	      
		         var xml = NewsConn.responseXML;
		         var html;
		         
		         html = '<div align="center">';
		         html += pullPlayerDetailsData(xml);
		         html += '</div>';
		         
		         if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1099) // if session exsists then add check point
                    }

		         document.getElementById("News").innerHTML = html;
		         document.getElementById("News").style.display = 'block';
                 document.getElementById("PageTitle").style.display = 'block';
		         document.getElementById("Loading").style.display = 'none';
		         document.getElementById("display").style.display = 'block';
		         document.getElementById("Fixtures").style.display = 'none';
		         document.getElementById("League").style.display = 'none';
		         document.getElementById("loader").style.display = 'none';
		         document.getElementById("loaderMain").style.display = 'none';
		         document.getElementById("MenuFooter").style.display = 'block';
		         document.getElementById("MastHead").style.display = 'block';
		         document.getElementById("AdvertHead").style.display = 'block';
		         document.getElementById("Backbtn").style.display = 'block';
		         document.getElementById("display").scrollTop = 0;
		         
	       }
	       else {
	       		//no connection
	    	    //document.getElementById("loader").style.display = 'block';
	    	   NoConnection();
	       }       
	   }
	   else {
	       //no connection
		   document.getElementById("loader").style.display = 'block';
	   }
	}

function getPlayerDetails(PlayerID) {
    var localUrl;

	if (window.XMLHttpRequest)
	{// code for IE7, Firefox, Mozilla, etc.
		NewsConn=new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{// code for IE5, IE6
		NewsConn=new ActiveXObject("Microsoft.XMLHTTP");
	}

	if (NewsConn!=null) //check for connectivity
	{
		
		localUrl = SuperleagueUrl + 'GetPlayersByPlayerID?PlayerID=' + PlayerID;
			
		NewsConn.onreadystatechange = handlePlayerDetailsData;
		NewsConn.open("GET", localUrl, true);
		NewsConn.send(null);
	}
	else
	{

	}
	
	return true;

}

//########################################################################################################################################################


function AppStart() {
    widget.setDisplayPortrait();
    createSession();
    }
    
function widgetinit() {
    if (gSession!=null) //Check if Session Exsists
	{
	    LogCheckPoint(gSession, 1018) // if session exsists then add check point
    }

	getNews();
	getHome();
}

function getHome() {
    var html;
    
    html = '<table class="tbHome"><tr>';
    html += '<td><img src="images/fixturebutton_nokia.png" onclick="getFixturesHome()" /></td>';
    html += '<td><img src="images/resultsbutton_home.png" onclick="getResultsHome()"/></td>';
    html += '</tr><tr>';
    html += '<td><img src="images/leaguetable_nokia.png" onclick="getLeagueTableHome()" /></td>';
    html += '<td><img src="images/morebutton_home_nokia.png" onclick="getMoreHome()" /></td>';
    html += '</tr></table>';
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("PageTitle").innerHTML = 'Super League';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/superleaggueminilogo2.png" />';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'block';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'none';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}

function getMatch() {
    var html;
    
    html = '<table class="tbMenu" onclick="getFixturesMenu()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/fixtures_icon.png" /></td>';
    html += '<td class="tdMenuText">FIXTURES</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getResultsMenu()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/results_icon.png" /></td>';
    html += '<td class="tdMenuText">RESULTS</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>'
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getLeagueTableMenu()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/table_icon.png" /></td>';
    html += '<td class="tdMenuText">LEAGUE TABLE</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>'
    html += '</tr></table>';
    
    if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1094) // if session exsists then add check point
                    }
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'Match Day';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="widgetinit()"/>';
     document.getElementById("display").scrollTop = 0;
}

function getMore() {
    var html;
    
    html = '<table class="tbMenu" onclick="getClubs()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/club_icon.png" /></td>';
    html += '<td class="tdMenuText">CLUBS</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getPlayers()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/player_icon.png" /></td>';
    html += '<td class="tdMenuText">PLAYERS</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getHelp()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/help_icon.png" /></td>';
    html += '<td class="tdMenuText">HELP</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getAbout()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/info_icon.png" /></td>';
    html += '<td class="tdMenuText">ABOUT</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    html += '<table class="tbMenu" onclick="getFeedback()"><tr>';
    html += '<td class="tdMenuIcon"><img src="images/feedback_icon.png" /></td>';
    html += '<td class="tdMenuText">FEEDBACK</td>';
    html += '<td class="tdMenuImg"><img src="images/superleaguearrow_asset.png" /></td>';
    html += '</tr></table>';
    
    
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'More';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="widgetinit()"/>';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}

function getMoreHome() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1022) // if session exsists then add check point
        }  
    
    getMore();            
}

function getMoreMenu() {
    
    if (gSession!=null) //Check if Session Exsists
	    {
	        LogCheckPoint(gSession, 1091) // if session exsists then add check point
        }  
    
    getMore();            
}

function getHelp() {
    var html;
    
    html = '<div class="tdClubDetailsSpan">If you would have any queries, issues or even praise, please fill out our feedback form <span class="tdClubDetailsClick" onclick="getFeedback()">here.</span></div><br />';
    html += '<div class="tdClubDetailsSpan">Alternatively you can contact the customer service team at Super League\'s mobile partner InfoMedia Services (www.infomedia.co.uk) via email at app.support@infomedia.co.uk or call <a href="wtai://wp/mc;+08707507830" class="tdClubDetailsClick">0870 750 7830</a> during standard UK working hours.</div>';
    
    if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1100) // if session exsists then add check point
                    }
                    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'Help';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}

function getAbout() {
    var html;
    
    html = '<div class="tdClubDetailsSpan" >This is the official Super League app from the Rugby Football League, designed to keep you up to date with the Super League no matter where you are.</div><br />';
    html += '<div class="tdClubDetailsSpan">Super League was instituted in 1996 and is the top-level professional rugby league football club competition of Europe. The league is currently sponsored by Engage Mutual Assurance so it is officially known as the Engage Super League.</div><br />';
    html += '<div class="tdClubDetailsSpan">The league has fourteen teams of which 12 are from England, one from Wales and one from France. </div><br />';
    html += '<div class="tdClubDetailsSpan">All content is the copyright of Super League (Europe) Ltd.</div><br />';
    html += '<div class="tdClubDetailsSpan">This app was designed and produced on behalf of Super League by InfoMedia Services, a leading UK mobile agency based in Northampton.</div><br />';
    html += '<div class="tdClubDetailsSpan">InfoMedia\'s other clients include Tesco Mobile, Virgin Mobile, HMV, OrangeUK, Mr Men, Carte Blanche the home of Me to You, Manchester United FC, Everton FC, Liverpool FC, Skinets.com and TEAMtalk Media.</div><br />';
    html += '<div class="tdClubDetailsSpan">Should you be experiencing any problems with the app, please contactInfoMedia\'s customer support team via email at app.support@infomedia.co.uk and we shall endeavour to reply within two working day. </div><br />';
    html += '<div class="tdClubDetailsSpan">Should you wish to sponsor or advertise within the app, please contact commercials@infomedia.co.uk.</div><br />';
    
    if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1101) // if session exsists then add check point
                    }
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'About';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}

function getFeedback() {
    var html;
    
    if (gSession!=null) //Check if Session Exsists
	                {
	                    LogCheckPoint(gSession, 1102) // if session exsists then add check point
                    }
    
    html = '<iframe src="http://wap.infomedia.co.uk/feedback/Default.aspx?sid=' + gSession + '&appid=' + AppID + '&uid=3c274f71-027b-4d76-ae1f-0fdb49630adc" style="width:360px; height:403px;" frameborder="0"></iframe>';
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'Feedback';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}

function NoConnection() {
    var html;
    
    html = '<div>&nbsp;</div>';
    html += '<div class="MessageError">In order to update properly, this page needs to access a data connection either via wi-fi or your mobile network provider.<br /><br /> Unfortunately we can\'t find your connection.<br /><br /> Please check and then retry or try again later. </div>';
    html += '<div>&nbsp;</div>';
    
     document.getElementById("Fixtures").innerHTML = html;
     document.getElementById("Fixtures").style.display = 'block';
     document.getElementById("PageTitle").innerHTML = 'No Connection';
     document.getElementById("Backbtn").style.display = 'block';
     document.getElementById("Backbtn").innerHTML = '<img src="images/backbutton.png" onclick="getMore()"/>';
     document.getElementById("PageTitle").style.display = 'block';
     document.getElementById("Loading").style.display = 'none';
     document.getElementById("display").style.display = 'block';
     document.getElementById("News").style.display = 'none';
     document.getElementById("League").style.display = 'none';
     document.getElementById("loader").style.display = 'none';
     document.getElementById("loaderMain").style.display = 'none';
     document.getElementById("MenuFooter").style.display = 'block';
     document.getElementById("MastHead").style.display = 'block';
     document.getElementById("AdvertHead").style.display = 'block';
     document.getElementById("display").scrollTop = 0;
}


function stopLoader()
{
	document.getElementById("loader").style.display = 'none';
}

function AdBannerLink()
{
    if (gSession!=null) //Check if Session Exsists
        {
            LogCheckPoint(gSession, 1104) // if session exsists then add check point
        }

	widget.openURL('http://serve.williamhill.com/promoRedirect?member=superleaguemob&campaign=DEFAULT&channel=300x50sport&zone=1468878297&lp=0')
}


